exception.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::Set::OutOfLimits
| Exception: Value out of limits More...
class | Gecode::Set::VariableEmptyDomain
| Exception: Variable created with empty domain More...
class | Gecode::Set::TooFewArguments
| Exception: No arguments available in argument array More...
class | Gecode::Set::ArgumentSizeMismatch
| Exception: Arguments are of different size More...
class | Gecode::Set::UnknownBranching
| Exception: Unknown value or variable selection passed as argument More...
class | Gecode::Set::UnknownRelation
| Exception: Unknown relation type passed as argument More...
class | Gecode::Set::UnknownOperation
| Exception: Unknown operation type passed as argument More...
class | Gecode::Set::IllegalOperation
| Exception: Illegal operation passed as argument More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Set
| Finite integer sets.